<?php

class SBB {

  var $count = 0;
  var $error;
  var $success;
  var $newcustid = 0;
  var $custid = 0;
  var $filter = false;
  var $customers = array();
  var $qvars = array();
  var $bcount = array();
  var $p = 1;     //current page
  var $orderby = "id";
  var $order;
  var $q = false;
     
  function SBB() {
    global $SBBAuth, $board_config;
    $this->auth = $SNNAuth;
    $this->board_config = $board_config;
    //check some variables
    if ($_REQUEST["bundesland"]) $this->bundesland = $_REQUEST["bundesland"];
    if (intval($_REQUEST["p"])) $this->p = intval($_REQUEST["p"]);
    if ($_REQUEST["orderby"]) $this->orderby = $_REQUEST["orderby"];
    if ($_REQUEST["order"]) $this->order = $_REQUEST["order"];
    if ($_REQUEST["q"]) $this->q = $_REQUEST["q"];
    $this->qvars = array("bundesland" => $this->bundesland,
      "p" => $this->p,
      "orderby" => $this->orderby,
      "order" => $this->order,
      "q" => $this->q);
  }
}

?>